Debian Bug report logs - #439980
libxml2: gzopen64() implicitly converted to pointer

version graph

Package: zlib1g-dev; Maintainer for zlib1g-dev is Mark Brown <broonie@debian.org>; Source for zlib1g-dev is src:zlib.

Reported by: dann frazier <dannf@debian.org>

Date: Tue, 28 Aug 2007 19:39:06 UTC

Severity: important

Tags: upstream

Found in version zlib/1:1.2.3.3.dfsg-1

Fixed in version zlib/1:1.2.3.4.dfsg-1

Done: Mark Brown <broonie@debian.org>

Bug is archived. No further changes may be made.

Forwarded to zlib@gzip.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#439967; Package libxml2. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
New Bug report received and forwarded. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: submit@bugs.debian.org
Subject: libxml2: gzopen64() implicitly converted to pointer
Date: Tue, 28 Aug 2007 13:38:08 -0600
[Message part 1 (text/plain, inline)]
Package: libxml2
Version: 2.6.30.dfsg-1
Severity: important
Tags: patch
Usertags: implicit-pointer-conversion

Our automated buildd log filter[1] detected a problem that is likely to
cause your package to segfault on architectures where the size of a
pointer is greater than the size of an integer, such as ia64 and amd64.

This is often due to a missing function prototype definition.

[1]http://people.debian.org/~dannf/check-implicit-pointer-functions

----- Forwarded message from Build Daemon <buildd@excelsior.roeckx.be> -----

X-Spam-Checker-Version: SpamAssassin 3.1.7-deb (2006-10-05) on ldl.fc.hp.com
X-Spam-Level: 
X-Spam-Status: No, score=-1.4 required=3.5 tests=AWL,BAYES_00,UNDISC_RECIPS 
	autolearn=disabled version=3.1.7-deb
X-Virus-Scanned: Debian amavisd-new at ldl.fc.hp.com
Subject: Log for successful build of libxml2_2.6.30.dfsg-1 (dist=unstable)
Date: Sun, 26 Aug 2007 09:39:41 +0000 (GMT)
From: Build Daemon <buildd@excelsior.roeckx.be>
To: undisclosed-recipients: ;
X-PMX-Version: 5.3.1.294258, Antispam-Engine: 2.5.1.298604, Antispam-Data: 2007.8.26.20126
Debian-Buildd-Error: Yes

Function `gzopen64' implicitly converted to pointer at xmlIO.c:1132

----- End forwarded message -----

-- 
dann frazier

[libxml2-gzopen64.patch (text/x-diff, attachment)]

Tags removed: patch Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Tue, 28 Aug 2007 19:57:11 GMT) Full text and rfc822 format available.

Merged 439843 439880 439945 439967. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Tue, 28 Aug 2007 19:57:14 GMT) Full text and rfc822 format available.

Tags removed: patch Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Tue, 28 Aug 2007 20:00:02 GMT) Full text and rfc822 format available.

Merged 439843 439880 439945 439967. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Tue, 28 Aug 2007 20:00:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#439967; Package libxml2. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #18 received at 439967@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: dann frazier <dannf@debian.org>, 439967@bugs.debian.org
Cc: broonie@debian.org
Subject: Re: [xml/sgml-pkgs] Bug#439967: libxml2: gzopen64() implicitly converted to pointer
Date: Tue, 28 Aug 2007 22:32:10 +0200
clone 439967 -1
reassign -1 zlib1g-dev
block 439967 by -1
thanks

On Tue, Aug 28, 2007 at 01:38:08PM -0600, dann frazier <dannf@debian.org> wrote:
> Package: libxml2
> Version: 2.6.30.dfsg-1
> Severity: important
> Tags: patch
> Usertags: implicit-pointer-conversion
> 
> Our automated buildd log filter[1] detected a problem that is likely to
> cause your package to segfault on architectures where the size of a
> pointer is greater than the size of an integer, such as ia64 and amd64.
> 
> This is often due to a missing function prototype definition.
> 
> [1]http://people.debian.org/~dannf/check-implicit-pointer-functions

So, actually, this is an issue with zlib.h diverting gzopen and friends
to *64 calls when _FILE_OFFSET_BITS is 64, but doesn't define the
function prototypes unless _LARGEFILE64_SOURCE is also defined.

I'll clone and reassign to libz, then.

Mike



Blocking bugs of 439967 added: Request was from Mike Hommey <mh@glandium.org> to control@bugs.debian.org. (Tue, 28 Aug 2007 20:36:04 GMT) Full text and rfc822 format available.

Disconnected #439967 from all other report(s). Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Tue, 28 Aug 2007 20:48:02 GMT) Full text and rfc822 format available.

Bug 439967 cloned as bug 439980. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Tue, 28 Aug 2007 20:48:05 GMT) Full text and rfc822 format available.

Bug reassigned from package `libxml2' to `zlib1g-dev'. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Tue, 28 Aug 2007 20:48:06 GMT) Full text and rfc822 format available.

Blocking bugs of 439967 added: 439980 Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Tue, 28 Aug 2007 20:48:12 GMT) Full text and rfc822 format available.

Blocking bugs of 439982 added: 439980 Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Wed, 29 Aug 2007 05:24:05 GMT) Full text and rfc822 format available.

Bug marked as found in version 1:1.2.3.3.dfsg-1. Request was from Mark Brown <broonie@sirena.org.uk> to control@bugs.debian.org. (Wed, 29 Aug 2007 08:33:08 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Mark Brown <broonie@sirena.org.uk> to control@bugs.debian.org. (Wed, 29 Aug 2007 08:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#439980; Package zlib1g-dev. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. Full text and rfc822 format available.

Message #39 received at 439980@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Mark Brown <broonie@debian.org>, 439980@bugs.debian.org
Subject: Re: [xml/sgml-pkgs] Bug#439967: Bug#439967: libxml2: gzopen64() implicitly converted to pointer
Date: Wed, 29 Aug 2007 19:12:18 +0200
On Wed, Aug 29, 2007 at 09:50:05AM +0100, Mark Brown <broonie@debian.org> wrote:
> On Tue, Aug 28, 2007 at 10:32:10PM +0200, Mike Hommey wrote:
> 
> > So, actually, this is an issue with zlib.h diverting gzopen and friends
> > to *64 calls when _FILE_OFFSET_BITS is 64, but doesn't define the
> > function prototypes unless _LARGEFILE64_SOURCE is also defined.
> 
> As discussed on IRC if this is urgent I recommend working around it by
> defining _LARGEFILE64_SOURCE along with _FILE_OFFSET_BITS.  I'd rather
> consult with upstream before fixing this which can sometimes take a
> while.  Please let me know if this is going to be a problem.

I uploaded the workaround for now. I leave #439980 up to you to fix with
upstream.

Mike



Blocking bugs of 439967 removed: 439980 Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Wed, 29 Aug 2007 17:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#439980; Package zlib1g-dev. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. Full text and rfc822 format available.

Message #46 received at 439980@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 439980@bugs.debian.org
Subject: other occurrences
Date: Wed, 29 Aug 2007 11:38:22 -0600
fyi, I've noticed a few issues w/ gzopen recently:

#435763
#438924
#431487
#435424

and perhaps #422723 is related?

-- 
dann frazier




Tags added: upstream Request was from Mark Brown <broonie@sirena.org.uk> to control@bugs.debian.org. (Wed, 05 Sep 2007 12:00:04 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to zlib@gzip.org. Request was from Mark Brown <broonie@sirena.org.uk> to control@bugs.debian.org. (Wed, 05 Sep 2007 12:00:05 GMT) Full text and rfc822 format available.

Tags removed: patch Request was from Mark Brown <broonie@sirena.org.uk> to control@bugs.debian.org. (Sun, 27 Jan 2008 11:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#439980; Package zlib1g-dev. (Sat, 08 Aug 2009 20:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Sat, 08 Aug 2009 20:21:02 GMT) Full text and rfc822 format available.

Message #57 received at 439980@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Mark Brown <broonie@sirena.org.uk>
Cc: 439980@bugs.debian.org
Subject: Re: Patch sent upstream, waiting for feedback before applying it
Date: Sat, 8 Aug 2009 22:17:40 +0200
Hi Mark,

is there any news on this bug (zlib.h only defining a prototype for
gzopen64 if _LARGEFILE64_SOURCE is defined)?  I noticed some warnings
related to gzopen64 when building libpciaccess on some archs, and just
found this bug.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#439980; Package zlib1g-dev. (Sun, 09 Aug 2009 10:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. (Sun, 09 Aug 2009 10:42:02 GMT) Full text and rfc822 format available.

Message #62 received at 439980@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Julien Cristau <jcristau@debian.org>, 439980@bugs.debian.org
Subject: Re: Bug#439980: Patch sent upstream, waiting for feedback before applying it
Date: Sun, 9 Aug 2009 11:30:33 +0100
On Sat, Aug 08, 2009 at 10:17:40PM +0200, Julien Cristau wrote:

> is there any news on this bug (zlib.h only defining a prototype for
> gzopen64 if _LARGEFILE64_SOURCE is defined)?  I noticed some warnings
> related to gzopen64 when building libpciaccess on some archs, and just
> found this bug.

I believe the patch (or something like it) has been applied upstream and
will be included in the next release.  Upstream have a somewhat erratic
release schedule and no public VCS, unfortunately.




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#439980; Package zlib1g-dev. (Mon, 24 Aug 2009 09:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Mon, 24 Aug 2009 09:54:05 GMT) Full text and rfc822 format available.

Message #67 received at 439980@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Mark Brown <broonie@debian.org>
Cc: Julien Cristau <jcristau@debian.org>, 439980@bugs.debian.org
Subject: Re: Bug#439980: Patch sent upstream, waiting for feedback before applying it
Date: Mon, 24 Aug 2009 10:33:39 +0100
On Sun, Aug 09, 2009 at 11:30:33AM +0100, Mark Brown wrote:
> On Sat, Aug 08, 2009 at 10:17:40PM +0200, Julien Cristau wrote:
> > is there any news on this bug (zlib.h only defining a prototype for
> > gzopen64 if _LARGEFILE64_SOURCE is defined)?  I noticed some warnings
> > related to gzopen64 when building libpciaccess on some archs, and just
> > found this bug.
> 
> I believe the patch (or something like it) has been applied upstream and
> will be included in the next release.  Upstream have a somewhat erratic
> release schedule and no public VCS, unfortunately.

Defining gzopen64 when _FILE_OFFSET_BITS=64 seems just wrong. Here are
the standard semantics of _LARGEFILE64_SOURCE and _FILE_OFFSET_BITS=64,
from 'info libc':

 -- Macro: _LARGEFILE64_SOURCE
     If you define this macro an additional set of functions is made
     available which enables 32 bit systems to use files of sizes beyond
     the usual limit of 2GB.  This interface is not available if the
     system does not support files that large.  On systems where the
     natural file size limit is greater than 2GB (i.e., on 64 bit
     systems) the new functions are identical to the replaced functions.

     The new functionality is made available by a new set of types and
     functions which replace the existing ones.  The names of these new
     objects contain `64' to indicate the intention, e.g., `off_t' vs.
     `off64_t' and `fseeko' vs. `fseeko64'.

     This macro was introduced as part of the Large File Support
     extension (LFS).  It is a transition interface for the period when
     64 bit offsets are not generally used (see `_FILE_OFFSET_BITS').

 -- Macro: _FILE_OFFSET_BITS
     This macro determines which file system interface shall be used,
     one replacing the other.  Whereas `_LARGEFILE64_SOURCE' makes the
     64 bit interface available as an additional interface,
     `_FILE_OFFSET_BITS' allows the 64 bit interface to replace the old
     interface.

     If `_FILE_OFFSET_BITS' is undefined, or if it is defined to the
     value `32', nothing changes.  The 32 bit interface is used and
     types like `off_t' have a size of 32 bits on 32 bit systems.

     If the macro is defined to the value `64', the large file interface
     replaces the old interface.  I.e., the functions are not made
     available under different names (as they are with
     `_LARGEFILE64_SOURCE').  Instead the old function names now
     reference the new functions, e.g., a call to `fseeko' now indeed
     calls `fseeko64'.

     This macro should only be selected if the system provides
     mechanisms for handling large files.  On 64 bit systems this macro
     has no effect since the `*64' functions are identical to the
     normal functions.

     This macro was introduced as part of the Large File Support
     extension (LFS).

So my reading of this is that, if zlib is following the same scheme (and
wouldn't anything else just be confusing?), then gzopen64 should only be
defined if _LARGEFILE64_SOURCE is defined, and otherwise gzopen should
just be straight 64-bit and gzopen64 should not be defined. Compare e.g.
<stdio.h>.

Perhaps this is really a bug in the callers?

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#439980; Package zlib1g-dev. (Mon, 24 Aug 2009 10:12:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. (Mon, 24 Aug 2009 10:12:13 GMT) Full text and rfc822 format available.

Message #72 received at 439980@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Colin Watson <cjwatson@debian.org>
Cc: Julien Cristau <jcristau@debian.org>, 439980@bugs.debian.org
Subject: Re: Bug#439980: Patch sent upstream, waiting for feedback before applying it
Date: Mon, 24 Aug 2009 10:41:47 +0100
On Mon, Aug 24, 2009 at 10:33:39AM +0100, Colin Watson wrote:

> So my reading of this is that, if zlib is following the same scheme (and
> wouldn't anything else just be confusing?), then gzopen64 should only be
> defined if _LARGEFILE64_SOURCE is defined, and otherwise gzopen should
> just be straight 64-bit and gzopen64 should not be defined. Compare e.g.
> <stdio.h>.

The problem is that with _FILE_OFFSET_BITS set to 64 zlib transparently
maps the vanilla calls to their 64 bit equivalents so that everything is
fine at link time but it does not prototype the 64 bit variants.

> Perhaps this is really a bug in the callers?

Not if they're using the regular calls - if they're trying to call the
64 bit variants directly I'd agree that they're at best suboptimal but
they may be doing so as a result of rewriting within zlib.




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#439980; Package zlib1g-dev. (Mon, 24 Aug 2009 10:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Mon, 24 Aug 2009 10:30:12 GMT) Full text and rfc822 format available.

Message #77 received at 439980@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Mark Brown <broonie@debian.org>
Cc: Julien Cristau <jcristau@debian.org>, 439980@bugs.debian.org
Subject: Re: Bug#439980: Patch sent upstream, waiting for feedback before applying it
Date: Mon, 24 Aug 2009 11:03:24 +0100
On Mon, Aug 24, 2009 at 10:41:47AM +0100, Mark Brown wrote:
> On Mon, Aug 24, 2009 at 10:33:39AM +0100, Colin Watson wrote:
> > So my reading of this is that, if zlib is following the same scheme (and
> > wouldn't anything else just be confusing?), then gzopen64 should only be
> > defined if _LARGEFILE64_SOURCE is defined, and otherwise gzopen should
> > just be straight 64-bit and gzopen64 should not be defined. Compare e.g.
> > <stdio.h>.
> 
> The problem is that with _FILE_OFFSET_BITS set to 64 zlib transparently
> maps the vanilla calls to their 64 bit equivalents so that everything is
> fine at link time but it does not prototype the 64 bit variants.

Right. The glibc-ish way to do this appears to be something like:

#ifndef __USE_FILE_OFFSET64
   ZEXTERN gzFile ZEXPORT gzopen OF((const char *, const char *));
#else
# ifdef __REDIRECT
   ZEXTERN gzFile ZEXPORT __REDIRECT (gzopen, OF((const char *, const char *)), gzopen64);
# else
#  define gzopen gzopen64
# endif
#endif

#ifdef __USE_LARGEFILE64
   ZEXTERN gzFile ZEXPORT gzopen64 OF((const char *, const char *));
#endif

Of course, this relies on the special stuff glibc does in <features.h>
to define __USE_LARGEFILE64 depending on whether __REDIRECT is defined,
so maybe making this work cross-platform is too hard (though you could
use '#if defined(_LARGEFILE64_SOURCE) && !defined(__REDIRECT)' etc., and
maybe test __GLIBC__ as well as __REDIRECT). It would be nice to be
namespace-clean though ...

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#439980; Package zlib1g-dev. (Mon, 24 Aug 2009 10:39:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. (Mon, 24 Aug 2009 10:39:32 GMT) Full text and rfc822 format available.

Message #82 received at 439980@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Colin Watson <cjwatson@debian.org>
Cc: Julien Cristau <jcristau@debian.org>, 439980@bugs.debian.org
Subject: Re: Bug#439980: Patch sent upstream, waiting for feedback before applying it
Date: Mon, 24 Aug 2009 11:10:10 +0100
On Mon, Aug 24, 2009 at 11:03:24AM +0100, Colin Watson wrote:

> Of course, this relies on the special stuff glibc does in <features.h>
> to define __USE_LARGEFILE64 depending on whether __REDIRECT is defined,
> so maybe making this work cross-platform is too hard (though you could
> use '#if defined(_LARGEFILE64_SOURCE) && !defined(__REDIRECT)' etc., and
> maybe test __GLIBC__ as well as __REDIRECT). It would be nice to be
> namespace-clean though ...

__REDIRECT is entirely compiler specific so I can't see it flying with
zlib, TBH.




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#439980; Package zlib1g-dev. (Mon, 24 Aug 2009 12:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Vogt <mvo@debian.org>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Mon, 24 Aug 2009 12:21:05 GMT) Full text and rfc822 format available.

Message #87 received at 439980@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 439980@bugs.debian.org
Subject: possible patch
Date: Mon, 24 Aug 2009 14:19:13 +0200
[Message part 1 (text/plain, inline)]
Hi,

I just wanted to mention a trivial patch I attached to the Ubuntu bug
for this. It has the drawbacks that Colin mentions above that its not
the standard semantics of _LARGEFILE64_SOURCE and _FILE_OFFSET_BITS=64

It does however fix the problem of the missing prototype and should
not be too bad (given that the functions are dynamically mapped anyway
on 64bit systems).

Cheers,
 Michael
[zlib_1.2.3.3.dfsg-13ubuntu2.debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#439980; Package zlib1g-dev. (Mon, 24 Aug 2009 12:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. (Mon, 24 Aug 2009 12:27:10 GMT) Full text and rfc822 format available.

Message #92 received at 439980@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Michael Vogt <mvo@debian.org>, 439980@bugs.debian.org
Subject: Re: Bug#439980: possible patch
Date: Mon, 24 Aug 2009 13:25:58 +0100
On Mon, Aug 24, 2009 at 02:19:13PM +0200, Michael Vogt wrote:

> I just wanted to mention a trivial patch I attached to the Ubuntu bug
> for this. It has the drawbacks that Colin mentions above that its not
> the standard semantics of _LARGEFILE64_SOURCE and _FILE_OFFSET_BITS=64

> It does however fix the problem of the missing prototype and should
> not be too bad (given that the functions are dynamically mapped anyway
> on 64bit systems).

This is what I believe is upstream and what originally kicked off the
thread - Julien had discovered the patch in Launchpad or wherever.




Reply sent to Mark Brown <broonie@debian.org>:
You have taken responsibility. (Thu, 24 Dec 2009 18:12:06 GMT) Full text and rfc822 format available.

Notification sent to dann frazier <dannf@debian.org>:
Bug acknowledged by developer. (Thu, 24 Dec 2009 18:12:06 GMT) Full text and rfc822 format available.

Message #97 received at 439980-close@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: 439980-close@bugs.debian.org
Subject: Bug#439980: fixed in zlib 1:1.2.3.4.dfsg-1
Date: Thu, 24 Dec 2009 18:09:17 +0000
Source: zlib
Source-Version: 1:1.2.3.4.dfsg-1

We believe that the bug you reported is fixed in the latest version of
zlib, which is due to be installed in the Debian FTP archive:

lib32z1-dev_1.2.3.4.dfsg-1_amd64.deb
  to main/z/zlib/lib32z1-dev_1.2.3.4.dfsg-1_amd64.deb
lib32z1_1.2.3.4.dfsg-1_amd64.deb
  to main/z/zlib/lib32z1_1.2.3.4.dfsg-1_amd64.deb
zlib-bin_1.2.3.4.dfsg-1_amd64.deb
  to main/z/zlib/zlib-bin_1.2.3.4.dfsg-1_amd64.deb
zlib1g-dbg_1.2.3.4.dfsg-1_amd64.deb
  to main/z/zlib/zlib1g-dbg_1.2.3.4.dfsg-1_amd64.deb
zlib1g-dev_1.2.3.4.dfsg-1_amd64.deb
  to main/z/zlib/zlib1g-dev_1.2.3.4.dfsg-1_amd64.deb
zlib1g-udeb_1.2.3.4.dfsg-1_amd64.udeb
  to main/z/zlib/zlib1g-udeb_1.2.3.4.dfsg-1_amd64.udeb
zlib1g_1.2.3.4.dfsg-1_amd64.deb
  to main/z/zlib/zlib1g_1.2.3.4.dfsg-1_amd64.deb
zlib_1.2.3.4.dfsg-1.debian.tar.gz
  to main/z/zlib/zlib_1.2.3.4.dfsg-1.debian.tar.gz
zlib_1.2.3.4.dfsg-1.dsc
  to main/z/zlib/zlib_1.2.3.4.dfsg-1.dsc
zlib_1.2.3.4.dfsg.orig.tar.gz
  to main/z/zlib/zlib_1.2.3.4.dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 439980@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Brown <broonie@debian.org> (supplier of updated zlib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 24 Dec 2009 17:35:16 +0000
Source: zlib
Binary: zlib1g zlib1g-dev zlib1g-dbg zlib-bin zlib1g-udeb lib64z1 lib64z1-dev lib32z1 lib32z1-dev libn32z1 libn32z1-dev
Architecture: source amd64
Version: 1:1.2.3.4.dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Mark Brown <broonie@debian.org>
Changed-By: Mark Brown <broonie@debian.org>
Description: 
 lib32z1    - compression library - 32 bit runtime
 lib32z1-dev - compression library - 32 bit development
 lib64z1    - compression library - 64 bit runtime
 lib64z1-dev - compression library - 64 bit development
 libn32z1   - compression library - n32 runtime
 libn32z1-dev - compression library - n32 development
 zlib-bin   - compression library - sample programs
 zlib1g     - compression library - runtime
 zlib1g-dbg - compression library - development
 zlib1g-dev - compression library - development
 zlib1g-udeb - compression library - runtime for Debian installer (udeb)
Closes: 301283 439980
Changes: 
 zlib (1:1.2.3.4.dfsg-1) unstable; urgency=low
 .
   * New upstream release.
   * This release contains refactored handling of 64 bit types which should
     stop warnings being generated in some configurations (closes: #439980).
   * This release also fixes handling of EOF in gzio (closes: #301283).
   * Fix symbol version for inflateUndermine.
   * Move -dbg to debug section.
   * Add upstream home page.
   * Policy 3.8.3.
Checksums-Sha1: 
 785496a5bd435c397d5ebb9a76786eb8162f0a6a 1330 zlib_1.2.3.4.dfsg-1.dsc
 7a62fece01a8ae22cc62c66e32c2158d4dcd8799 561812 zlib_1.2.3.4.dfsg.orig.tar.gz
 dd8671eb590a37349b684cf45b23679d056344e1 15352 zlib_1.2.3.4.dfsg-1.debian.tar.gz
 23d83981266559f8074d60d7f35ba2dc85bb2a49 79064 zlib1g_1.2.3.4.dfsg-1_amd64.deb
 300684e7b6db013c286e9e4e536fc5a5815adb10 191512 zlib1g-dev_1.2.3.4.dfsg-1_amd64.deb
 fd8af25c5fc88cacbb67fe5ccc23fb19a309f999 160164 zlib1g-dbg_1.2.3.4.dfsg-1_amd64.deb
 ae37128bc01c2f99e98fb54029b9261f734b93c9 51886 zlib-bin_1.2.3.4.dfsg-1_amd64.deb
 506334e396ffa2c83ddabc466ba8ecd84917dba2 49462 zlib1g-udeb_1.2.3.4.dfsg-1_amd64.udeb
 21607e7550a9d31d8ef77b8529cb190f4c733da9 75946 lib32z1_1.2.3.4.dfsg-1_amd64.deb
 eda73abd850811f31f2bf2a9a71a2c257274feb0 75552 lib32z1-dev_1.2.3.4.dfsg-1_amd64.deb
Checksums-Sha256: 
 bac404484dcb551999efb7fd1d3b337eeaffffb8cf09ed4c7a70eca96268a639 1330 zlib_1.2.3.4.dfsg-1.dsc
 2d83fe0866cc4831c31ba04bc5d91f5df5c2b42a7ad408a06b3d924662f90601 561812 zlib_1.2.3.4.dfsg.orig.tar.gz
 800987940571544973c6f5b2f656f480deaa37041b60623727f28ef3cfbc7243 15352 zlib_1.2.3.4.dfsg-1.debian.tar.gz
 91d29a0105001ae67d66b9dd878aa3792e8b24f54fd263f1c309157bcc6ee7a4 79064 zlib1g_1.2.3.4.dfsg-1_amd64.deb
 e1cd6d11dd59ad2668f0657d9d4c8f3407049ede8dab71b9f886a34101333da2 191512 zlib1g-dev_1.2.3.4.dfsg-1_amd64.deb
 6e8a33497f1390ca386efc765c7066f38214f96e1caddb1a941a5e5788cdbb63 160164 zlib1g-dbg_1.2.3.4.dfsg-1_amd64.deb
 d2d877365bd1739cbac832ee7631459156acae8b5329d0e85a3af9dd3d64a9de 51886 zlib-bin_1.2.3.4.dfsg-1_amd64.deb
 3931662b4be6fcb381bef54d8248a36b486330c051cfedc7471810108b5354bb 49462 zlib1g-udeb_1.2.3.4.dfsg-1_amd64.udeb
 0c6b052a1f3baa7517e3e092e2983e4110426d83b621c5f5a6b7f6ba9f0a7b7d 75946 lib32z1_1.2.3.4.dfsg-1_amd64.deb
 ff8c9cff1783b93af1a1422efe22b9e84de0949d07bd176eb76180a475d004fb 75552 lib32z1-dev_1.2.3.4.dfsg-1_amd64.deb
Files: 
 7b4b836c6f058e1296dd2ce91f6e6618 1330 libs optional zlib_1.2.3.4.dfsg-1.dsc
 4fa87835052482c2b07f2d6f6cc9acd4 561812 libs optional zlib_1.2.3.4.dfsg.orig.tar.gz
 52c5e817cdc12c50101b904d5f6bac34 15352 libs optional zlib_1.2.3.4.dfsg-1.debian.tar.gz
 93d56731fbb81ca9c04683919654d636 79064 libs required zlib1g_1.2.3.4.dfsg-1_amd64.deb
 31e6f0b54f69921f5aa39c389715d65a 191512 libdevel optional zlib1g-dev_1.2.3.4.dfsg-1_amd64.deb
 039f08447d2d3c788844786769e54e00 160164 debug extra zlib1g-dbg_1.2.3.4.dfsg-1_amd64.deb
 fceeeaf872fe233eabae60d1e87239fc 51886 utils optional zlib-bin_1.2.3.4.dfsg-1_amd64.deb
 ea675b021799a30d07b6868c0061f557 49462 debian-installer optional zlib1g-udeb_1.2.3.4.dfsg-1_amd64.udeb
 a2f77d0773af5333eb3e5ada982f1075 75946 libs optional lib32z1_1.2.3.4.dfsg-1_amd64.deb
 bc1ca0b7154ae7c538d088126b919b71 75552 libdevel optional lib32z1-dev_1.2.3.4.dfsg-1_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkszp4cACgkQJ2Vo11xhU616RQCdF8GCA9GnP7CBZkVA7aIEZjV1
kb0AniqKcJMASDwvly8etZDZs8SOXple
=L5/w
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 23 Jan 2010 07:35:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 02:15:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.